#include <Wire.h>
#include <LiquidCrystal_I2C.h>

LiquidCrystal_I2C lcd(0x27, 16, 2);

// set pin numbers:
const int buttonPin = 2;     // the number of the pushbutton pin
const int relayPin =  10;      // the number of the relay pin
int buzzPin = 13;            //// the number of the buzzer pin



// variables will change:
int buttonState = 0;         // variable for reading the pushbutton status



void setup() {
  Serial.begin(9600);
  // initialize the relay pin as an output:
  pinMode(relayPin, OUTPUT);
  // initialize the pushbutton pin as an input:
  pinMode(buttonPin, INPUT_PULLUP);

  lcd.begin(); // initialize the lcd
  lcd.setCursor(0, 0); //Defining positon to write from first row,first column .
  lcd.print(" BALLISTIC "); //You can write 16 Characters per line .
  lcd.setCursor(0, 1); //Defining positon to write from SECOND row,first column .
  lcd.print(" MISSILE "); //You can write 16 Characters per line .
  delay(2000);//Delay used to give a dynamic effect
  lcd.clear();//Clean the lcd screen
}
void loop() {
  // read the state of the pushbutton value:
  buttonState = digitalRead(buttonPin);
  // Show the state of pushbutton on serial monitor



  // check if the pushbutton is pressed.
  // if it is, the buttonState is HIGH:

  lcd.setCursor(0, 0);
  lcd.print("PRESS THE BUTTON");
  lcd.setCursor(0, 1);
  lcd.print("TO LAUNCH");
  if (buttonState == HIGH) {
    int a = 5;
    for (int i = 0; i < 5; i++)
    {
      digitalWrite(buzzPin, LOW);
      delay(700);
      digitalWrite(buzzPin, HIGH);
      Serial.println(a);
      a--;
      delay(300);
      lcd.clear();
      lcd.setCursor(0, 0);
      lcd.print(" Alert! ");
      lcd.setCursor(7, 1);
      lcd.print(a);
    }
    // turn relay on to give a spark
    digitalWrite(relayPin, HIGH);
    Serial.println("GO");
    lcd.clear();//Clean the screen
    lcd.setCursor(0, 0);
    lcd.print("GO");
  } else {
    // turn relay off:
    digitalWrite(relayPin, LOW);
  }
  // Added the delay so that we can see the output of button
  delay(100);
}
